# EditorModelListener (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.tools.editor
Interface EditorModelListener

All Known Implementing Classes:
  EditorScenePanel, TileInfoPanel

    public interface EditorModelListener

The editor model listener interface should be implemented by classes that would like to be notified when the editor model is changed.

See Also:
  `EditorModel`

Field Summary
`static int` `ACTION_MODE_CHANGED` Notification event constants.
`static int` `LAYER_INDEX_CHANGED`
`static int` `TILE_CHANGED`

Method Summary
`void` `modelChanged(int event)` Called by the `EditorModel` when the model is changed.

Field Detail

### ACTION_MODE_CHANGED

    static final int ACTION_MODE_CHANGED

  Notification event constants.

  See Also:
    Constant Field Values

### LAYER_INDEX_CHANGED

    static final int LAYER_INDEX_CHANGED

See Also:
  Constant Field Values

### TILE_CHANGED

    static final int TILE_CHANGED

See Also:
  Constant Field Values

Method Detail

### modelChanged

    void modelChanged(int event)

  Called by the `EditorModel` when the model is changed.

Copyright © 2011. All Rights Reserved.